Bug 94564 - TextShape with fit to frame doesn't work correctly in small shapes
Summary: TextShape with fit to frame doesn't work correctly in small shapes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2015-09-28 09:40 UTC by mmaurer
Modified: 2018-06-25 02:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
TextFitToShape_Repro (9.07 KB, application/vnd.oasis.opendocument.graphics)
2015-09-28 09:40 UTC, mmaurer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mmaurer 2015-09-28 09:40:57 UTC
Created attachment 119091 [details]
TextFitToShape_Repro

Found in 4.0.3.3
Tested in 5.0.0.5, same problem

We have a tool that export a lot of Text-Shapes into a draw document.
So if there are a lot of this, some Text-Shapes may be very small.
We have set the property "Text fit to shape", but the Text doesn't really fit to shape, it will be smaller oder bigger. 

It can be seen in the attached document.

The Text-Shapes are in the top left corner of the document.
Comment 1 Buovjaga 2015-10-01 11:43:39 UTC
Can you attach the tool?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 mmaurer 2015-10-01 11:53:37 UTC
Sorry, I cannot add the tool, but I can give some Information:

We are doing this in Java.
We are creating an XTextShape and setting following properties:

TextFitToSize -> PROPORTIONAL
TextAutoGrowHeight -> false
TextAutoGrowWidth -> false
TextLeftDistance -> int value
TextRightDistance -> int value
TextUpperDistance -> int value
TextLowerDistance -> int value
CharColor -> RGB value as int
FillColor -> RBG value as int
FillTransparence -> short value
LineTransparence -> short value
Size -> com.sun.star.awt.Size

Hope this can help you
Comment 3 Xisco Faulí 2017-01-31 00:00:54 UTC
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 mmaurer 2017-01-31 08:09:49 UTC
Tested with 5.1.6.2
The two Shapes (with the same properties) in the document still have the problem.
Comment 5 Buovjaga 2017-01-31 11:00:54 UTC
Ok, I will set to NEW, but with lowest priority. If you provide sample code, priority can be raised.
Comment 6 QA Administrators 2018-06-25 02:42:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug